#include <bits/stdc++.h>

using namespace std;

int main(void)
{
    string a,b,c,x,y;
    cin >> a >> b >> c;
    if(a.size() > b.size() && a.size() > c.size()){
        x = b;
        y = c;
        for(int i = 0;i < a.size()-b.size();i++){
            x+=a[i];
        }
        for(int i = 0;i < a.size()-c.size();i++){
            y+=a[i];
        }
        if(a > x && a > y){
            if(b+c > c+b){
                cout << a+b+c;
            }else{
                cout << a+c+b;
            }
        }else{
        if(x > a && x > y){
            if(a+c > c+a){
                cout << b+a+c;
            }else{
                cout << b+c+a;
            }
        }else{
        if(a+b > b+a){
                cout << c+a+b;
        }else{
                cout << c+b+a;
        }
        }
        }
    }else{
    if(b.size() > a.size() && b.size() > c.size()){
        x = a;
        y = c;

        for(int i = 0;i < b.size()-a.size();i++){
            x+=b[i];
        }
        for(int i = 0;i < b.size()-c.size();i++){
            y+=b[i];
        }
        if(b > x && b > y){
            if(a+c > c+a){
                cout << b+a+c;
            }else{
                cout << b+c+a;
            }
        }else{
        if(x > b && x > y){
            if(b+c > c+b){
                cout << a+b+c;
            }else{
                cout << a+c+b;
            }
        }else{
        if(b+a > a+b){
                cout << c+b+a;
        }else{
                cout << c+a+b;
        }
        }
        }

    }else{
        x = a;
        y = b;

        for(int i = 0;i < c.size()-a.size();i++){
            x+=c[i];
        }
        for(int i = 0;i < c.size()-b.size();i++){
            y+=c[i];
        }
        if(c > x && c > y){
            if(a+b > b+a){
                cout << c+a+b;
            }else{
                cout << c+b+a;
            }
        }else{
        if(x > c && x > y){
            if(b+c > c+b){
                cout << a+b+c;
            }else{
                cout << a+c+b;
            }
        }else{
        if(c+a > a+c){
                cout << b+c+a;
        }else{
                cout << b+a+c;
        }
        }
        }
    }
}

   return 0;
}